> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace connection logs

> Returns a paginated list of workspace connection logs for the authorized organization (includes accessible delegated tenants). Aggregation not available on this endpoint.



## OpenAPI

````yaml /en/api-reference/openapi.en-v2.json get /v2/organizations/{organization_id}/connection-logs
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: Public REST API for portal
servers:
  - url: https://api.flexxible.net/
    description: Portal API
security:
  - bearerAuth: []
tags:
  - name: Solve
    description: Flexxible Solve ticket visibility and management
  - name: Digital activity
    description: Core process group creation by organization
  - name: Locations
    description: Location management (FWS)
  - name: Roles
    description: Role creation endpoint for organization
  - name: Users
    description: User creation endpoint for organization
  - name: Workspace groups
    description: Management endpoints for workspace groups
  - name: Networks
    description: Network management (FWS)
  - name: WiFi Networks
    description: Wi-Fi network management (FWS)
  - name: Workspaces
    description: Workspace deletion endpoint for the organization
  - name: Event logs
    description: Workspace event logs query
  - name: Installed apps
    description: Installed application detail endpoint for the organization
  - name: Authentication
    description: Session context and authentication endpoints
  - name: Microservices
    description: Details of microservices by organization
  - name: Operations
    description: Detail queries for operations by organization
  - name: Organization
    description: Organization operations
  - name: Patch policy targets
    description: Patch policy objective management endpoints
  - name: Product configurations
    description: Product configuration management endpoints
  - name: Reporting Groups
    description: Operations on reporting groups
  - name: Sessions
    description: Session detail endpoint for the organization
  - name: Tenants
    description: Tenant management endpoints
  - name: Workspace Connection Logs
    description: Workspace connection logs query
  - name: Workspace GPO
    description: Query GPOs applied to a session
  - name: Workspace Notifications
    description: Workspace notifications query
paths:
  /v2/organizations/{organization_id}/connection-logs:
    get:
      tags:
        - Workspace Connection Logs
      summary: List workspace connection logs
      description: >-
        Returns a paginated list of workspace connection logs for the authorized
        organization (includes accessible delegated tenants). Aggregation not
        available on this endpoint.
      operationId: listWorkspaceConnectionLogs
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Organization identifier.
          example: 507f1f77bcf86cd799439011
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
          description: Page number.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 100
          description: Number of items per page.
        - name: fields
          in: query
          required: false
          schema:
            type: string
            maxLength: 2048
          description: Response fields separated by commas for each element.
          example: id,user,workspace_id,start,organization_id
        - name: filters
          in: query
          required: false
          schema:
            type: string
            maxLength: 5120
          description: JSON expression of filters on filterable resource fields.
          examples:
            simple:
              summary: Filter by user
              value: '{"field":"user","op":"contains","value":"DOMAIN"}'
            enum:
              summary: Device type filter
              value: '{"field":"device_kind","op":"eq","value":"physical"}'
            complex-and:
              summary: Filter by broker and null end
              value: >-
                {"and":[{"field":"broker","op":"eq","value":"azure_virtual_desktop"},{"field":"end","op":"eq","value":null}]}
        - name: sort
          in: query
          required: false
          schema:
            type: string
            pattern: ^([a-z_]+):(asc|desc)$
          description: Sorting expression with format <field>:asc|desc. Default start:desc.
          example: start:desc
      responses:
        '200':
          description: Connection logs retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWorkspaceConnectionLogsResponseV2'
              examples:
                paginated_result:
                  summary: Paginated list with results
                  value:
                    has_next: false
                    data:
                      - id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                        user: DOMAIN\\user
                        workspace_id: 507f1f77bcf86cd799439011
                        start: '2026-09-01T08:00:00.000Z'
                        end: '2026-09-01T18:00:00.000Z'
                        device_kind: physical
                        machine_type: session_host
                        endpoint: client-01
                        is_reconnect: false
                        subscription_broker: broker-1
                        pool_name: pool-a
                        agent_delivery_group_name: adg-1
                        broker: azure_virtual_desktop
                        connection_id: 42
                        current_dc_name: dc-1
                        hypervisor: microsoft_azure
                        session_key: session-key-1
                        session_type: vdi_desktop
                        organization_id: 507f1f77bcf86cd799439011
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                invalid_parameters:
                  summary: Invalid parameters
                  value:
                    error:
                      message: Parámetros de solicitud no válidos.
                      code: BAD_REQUEST
                      details: per_page must be less than or equal to 100
        '401':
          description: Not authorized or without access to the organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: Unauthorized
                  value:
                    error:
                      message: No autorizado.
                      code: UNAUTHORIZED
        '404':
          description: Resource not found within the authorized organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                not_found:
                  summary: Resource not found
                  value:
                    error:
                      message: Recurso no encontrado.
                      code: NOT_FOUND
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                rate_limited:
                  summary: Request limit exceeded
                  value:
                    error:
                      message: Límite de solicitudes excedido.
                      code: TOO_MANY_REQUESTS
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                server_error:
                  summary: Internal error
                  value:
                    error:
                      message: Error interno del servidor.
                      code: INTERNAL_SERVER_ERROR
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                service_unavailable:
                  summary: Service unavailable
                  value:
                    error:
                      message: Database unavailable
                      code: SERVICE_UNAVAILABLE
components:
  schemas:
    ListWorkspaceConnectionLogsResponseV2:
      type: object
      properties:
        has_next:
          type: boolean
          description: Indicates if there's a next page.
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceConnectionLogItemV2'
      required:
        - has_next
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    WorkspaceConnectionLogItemV2:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Connection log identifier (FWS ADObjectVMConnectionInfo.Oid).
        user:
          type: string
          nullable: true
          description: Account Name With Domain.
        workspace_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Portal workspace ID associated
        start:
          type: string
          nullable: true
          format: date-time
          description: Start of connection in UTC.
        end:
          type: string
          nullable: true
          format: date-time
          description: End of connection in UTC.
        device_kind:
          type: string
          nullable: true
          enum:
            - virtual
            - physical
          description: Device Kind.
        machine_type:
          type: string
          nullable: true
          enum:
            - not_available
            - session_host
            - desktop_template_definition
            - infrastructure_vm
            - template_definition_surrogate
            - device
            - server
            - vdi_appliance
            - application_template_definition
            - application_server
            - end_point
          description: Machine / Virtualization Type.
        endpoint:
          type: string
          nullable: true
          description: Name of the endpoint / client machine.
        is_reconnect:
          type: boolean
          nullable: true
          description: Indicates if the connection is a reconnection.
        subscription_broker:
          type: string
          nullable: true
          description: Subscription broker name.
        pool_name:
          type: string
          nullable: true
          description: Pool name.
        agent_delivery_group_name:
          type: string
          nullable: true
          description: Agent delivery group name.
        broker:
          type: string
          nullable: true
          enum:
            - no_broker_detected
            - azure_virtual_desktop
            - citrix_on-premises
            - citrix_daas
            - amazon_workspaces
            - vmware_horizon
            - parallels_ras
            - windows_365
            - rdsh
            - uds
          description: Session broker.
        connection_id:
          type: number
          nullable: true
          description: Numeric connection identifier (not the path ID)
        current_dc_name:
          type: string
          nullable: true
          description: Name of the current domain controller.
        hypervisor:
          type: string
          nullable: true
          enum:
            - unknown
            - physical
            - microsoft_azure
            - microsoft_hyper-v
            - vmware_vsphere
            - amazon_web_services
            - nutanix
            - citrix_hypervisor
            - oracle_cloud
            - google_cloud
          description: Hypervisor.
        session_key:
          type: string
          nullable: true
          description: Session key.
        session_type:
          type: string
          nullable: true
          enum:
            - vdi_desktop
            - application
            - sdi_desktop
            - device
          description: Session type.
        organization_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Identifier of the associated organization.
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````